Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.themoviedb.org/3/movie/18/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/18/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/18/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 18,
"page": 1,
"results": [
{
"description": "All the movies i have seen in my life ",
"favorite_count": 0,
"id": 119711,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3144,
"list_type": "movie",
"name": "All The Movies I Have Seen ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8285380,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 362,
"list_type": "movie",
"name": "Movie List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8168597,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15698,
"list_type": "movie",
"name": "movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7079769,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2246,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8264373,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 663,
"list_type": "movie",
"name": "collection",
"poster_path": null
},
{
"description": "Master List In Progress",
"favorite_count": 0,
"id": 51108,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11770,
"list_type": "movie",
"name": "My Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7102480,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2024,
"list_type": "movie",
"name": "All Watched Films",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8238235,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11318,
"list_type": "movie",
"name": "My Movie Library",
"poster_path": null
},
{
"description": "This are the movies I have been watching...........",
"favorite_count": 0,
"id": 118799,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 929,
"list_type": "movie",
"name": "My English Movies List",
"poster_path": null
},
{
"description": "Filmsack Movie List of Films that the Filmsack Podcast has already covered. || http://filmsack.com || https://quicksack.li || https://quicksack.li/stats/",
"favorite_count": 0,
"id": 7096154,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 644,
"list_type": "movie",
"name": "Filmsack Movie List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8190952,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2898,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8290989,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 218,
"list_type": "movie",
"name": "Watched",
"poster_path": null
},
{
"description": "Movies Seen",
"favorite_count": 0,
"id": 7973,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 660,
"list_type": "movie",
"name": "Movies (Seen)",
"poster_path": null
},
{
"description": "Photography aligned with beauty.",
"favorite_count": 0,
"id": 8501221,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1653,
"list_type": "movie",
"name": "Cinematography One",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 134725,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1001,
"list_type": "movie",
"name": "Watched Movies",
"poster_path": null
},
{
"description": "Select a title for trailers and more.\r\n\r\nCain Cinema features a 4K UHD picture on a 120\" (16:9) screen, and a 7.2.4 Dolby Atmos audio experience. ",
"favorite_count": 0,
"id": 7081593,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1657,
"list_type": "movie",
"name": "Now Showing at Cain Cinema",
"poster_path": null
},
{
"description": "All of my ratings are the movies that I have seen.",
"favorite_count": 0,
"id": 8302254,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2367,
"list_type": "movie",
"name": "Movies That I have watched all",
"poster_path": null
},
{
"description": "List of movies discussed on my Podcast, Wait, You Haven't Seen...?",
"favorite_count": 0,
"id": 7096442,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 302,
"list_type": "movie",
"name": "Wait, You Haven't Seen...?",
"poster_path": null
},
{
"description": "A list of Sir's Faves",
"favorite_count": 0,
"id": 8305241,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 86,
"list_type": "movie",
"name": "Sir's Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8241893,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 467,
"list_type": "movie",
"name": "Owned",
"poster_path": null
}
],
"total_pages": 59,
"total_results": 1168
}Get the lists that a movie has been added to.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
New Request
18
1
Show child attributes
[
{
"description": "All the movies i have seen in my life ",
"favorite_count": 0,
"id": 119711,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3144,
"list_type": "movie",
"name": "All The Movies I Have Seen ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8285380,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 362,
"list_type": "movie",
"name": "Movie List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8168597,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15698,
"list_type": "movie",
"name": "movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7079769,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2246,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8264373,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 663,
"list_type": "movie",
"name": "collection",
"poster_path": null
},
{
"description": "Master List In Progress",
"favorite_count": 0,
"id": 51108,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11770,
"list_type": "movie",
"name": "My Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7102480,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2024,
"list_type": "movie",
"name": "All Watched Films",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8238235,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11318,
"list_type": "movie",
"name": "My Movie Library",
"poster_path": null
},
{
"description": "This are the movies I have been watching...........",
"favorite_count": 0,
"id": 118799,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 929,
"list_type": "movie",
"name": "My English Movies List",
"poster_path": null
},
{
"description": "Filmsack Movie List of Films that the Filmsack Podcast has already covered. || http://filmsack.com || https://quicksack.li || https://quicksack.li/stats/",
"favorite_count": 0,
"id": 7096154,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 644,
"list_type": "movie",
"name": "Filmsack Movie List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8190952,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2898,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8290989,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 218,
"list_type": "movie",
"name": "Watched",
"poster_path": null
},
{
"description": "Movies Seen",
"favorite_count": 0,
"id": 7973,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 660,
"list_type": "movie",
"name": "Movies (Seen)",
"poster_path": null
},
{
"description": "Photography aligned with beauty.",
"favorite_count": 0,
"id": 8501221,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1653,
"list_type": "movie",
"name": "Cinematography One",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 134725,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1001,
"list_type": "movie",
"name": "Watched Movies",
"poster_path": null
},
{
"description": "Select a title for trailers and more.\r\n\r\nCain Cinema features a 4K UHD picture on a 120\" (16:9) screen, and a 7.2.4 Dolby Atmos audio experience. ",
"favorite_count": 0,
"id": 7081593,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1657,
"list_type": "movie",
"name": "Now Showing at Cain Cinema",
"poster_path": null
},
{
"description": "All of my ratings are the movies that I have seen.",
"favorite_count": 0,
"id": 8302254,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2367,
"list_type": "movie",
"name": "Movies That I have watched all",
"poster_path": null
},
{
"description": "List of movies discussed on my Podcast, Wait, You Haven't Seen...?",
"favorite_count": 0,
"id": 7096442,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 302,
"list_type": "movie",
"name": "Wait, You Haven't Seen...?",
"poster_path": null
},
{
"description": "A list of Sir's Faves",
"favorite_count": 0,
"id": 8305241,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 86,
"list_type": "movie",
"name": "Sir's Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8241893,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 467,
"list_type": "movie",
"name": "Owned",
"poster_path": null
}
]
59
1168